AutoCAD Inventor :: Macro To Create Revolved Part
Aug 28, 2013Looking for example macro that can create a new sketch, add a few lines and arcs, Then revolve the sketch around an axis to create a solid part. For example a shaft?
View 2 RepliesLooking for example macro that can create a new sketch, add a few lines and arcs, Then revolve the sketch around an axis to create a solid part. For example a shaft?
View 2 RepliesI'm really struggling with constraining a weldment assembly. I've attached a JPG of the Assembly but I cant get the constrains to go where I want them.
Basically this assembly is a wheel with three equally spaced stays welded to a large nut hub. I have constrained the center axis of the wheel to the center axis of the Nut so the wheel and nut will remain aligned.
What I'm struggling with is constraining the three stays to the wheel and to the nut equally spaced around the nut.
I have been working with macros basically making user forms to control the models. The program calls on a part that I use as an actuation template (its just a part with parameters that are then linked to the assembly contraints) then the macro will change the parameters and update the model.
What I need to do is to put in some code in the userforn initialize sub that gets the actuation template from the disk, for example: C:Other StuffActuation Template A.ipt. Then the macro places the part into the assembly. The userform then manipulates the actuation template (and the assembly model). Then when the userform is unloaded the part is deleted from the assembly.
I have been trying to create a macro to control an assembly. The problem is that I need to access a certain parameter in a specific part in the assembly. I can get the exact parameter by using the "name" of the given parameter, ex .Item("d7") to call the parameter d7. The problem for me has been what name do I use to call out a given part, I have been using .Item(Index number), ex .Item(12), but this number can change as parts are added, deleted, or suppressed.
The question is what "name" should I be using and how do I use it. I have tried
"InternalName", "PrimaryDeselGUID", "DisplayName", "FullDocumentName", "FullFileName"
but there is no "Name" to input like the parameter.
i need a macro in VBA who export the structurated part list in xls separated by comme with only two cullom in order: Quantity and Part Number.
This .xls file mus be saved in the same folder where the .iam file is saved and with the same name of the .iam file. How to make this marco????
I got a macro job for creation the drawing for a part. I got a lot of problem.
1/ The first one is move view:
I already create a view (e.g. oIsoView), now I want to move it to the left.
I find the DrawingView.Position method, how can I use this method? I try many time, but it's not successful yet.
Do I need to use the SelectSet method??????
Is there a way to creat Macros in Inventor... like we used to do with AutoCAD?
View 5 Replies View Relatedi.e., is it possible to create a custom iproperty which would enable the user to attach a particular attribute to every component within an assembly without manually going through each component.
For example, If I have a pipework sub-assembly within a manifold assembly. I want to create a custom iProperty for 'Component Type' which would be called 'Pipework' for every component called up within that subassembly.
Likewise for a frame could you have the above custom property attached to every component but called up as 'framework' instead etc.
I am using inv2011. I have to create rec. blocks very often and in inv2011 . I have to constraint it in middle.
Can i write a Macto that gives me constraint rec block in sketch. This feature already available in Inv12.
I have a macro that I acquired somewhere (possibly these boards, can't remember now) for placing a parts list. I have modified it somewhat to change the location on the sheet where the list gets placed, as well as a sub that starts the autoballoon command afterward.
The macro is set up to place the parts list in the upper left corner, by adding the parts list width to the Mini Point of the border. This works perfectly well, except that we have two parts list styles, and they are differently sized.
What I would like to do is have the macro detect the parts list style, and change the offset value depending on which style it finds. I am an extreme novice with the API, who basically knows just enough to tweak sample code a bit, and have not been able to find anything close enough to use as an example.
How I should go about this, or even post some samples of something similar? Current code is shown below.
Public Sub CreatePartsList() On Error Resume Next ' Set a reference to the drawing document. ' This assumes a drawing document is active. Dim oDrawDoc As DrawingDocument Set oDrawDoc = ThisApplication.ActiveDocument 'Set a reference to the active sheet. Dim oSheet As Sheet Set oSheet = oDrawDoc.ActiveSheet ' Set a reference to the first drawing view on ' the sheet. This assumes the first drawing ' view on the sheet is not a draft view. Dim oDrawingView As DrawingView Set oDrawingView = [code].......
The macro does not have to set the parts list style - that is controlled by the drawing Standard. It just needs to detect what it is, and place the list accordingly.
So I am trying to create a lampshade that has holes in it for leds along the wall thickness. This lampshade only needs to be a few inches, but I am having problems cutting holes inside the lampshade, and then revolving them to make multiple holes.
View 4 Replies View RelatedI have a model that has been made up from a revolved sketch and then had loads of bits done to it etc.. Basically it is a tapered ring with a fillet on the top edge, I need a top face dxf export for profiling and to do this I need to remove the radius on the edge, but because it is a revolved sketch and it is not filleted it is not so easy to do with other references involved.
Is there a way I can temporally rebuild the edge to remove the fillet, I tried in fusion but it won't allow a Zero fillet edge?
I can't upload the sketch to show you unfortunately.
Is it possible to apply a tangent constraint to an edge of a cylinder at an angle to the revolved side of another cylinder? I wan't to avoid applying a specific angle constraint if at all possible.
View 3 Replies View RelatedI have 2 sheet metal parts, both have been revolved using an angle of 359.9deg so there is a small gap to weld. in the assembly I copied one as a surface onto the other part and I want to scuplt it at the intersection of the two.
The problem I've come to is that the small gap in the surface is preventing me from deleteing the upper part of the cut, how can I make the surface a whole so there is no gap in the cut?
I have been using the addin "Save Run Macro" to automatically run a macro every time the "Save" button is pressed.
Any of the following questions about "Save Run Macro"?
1] When I protect the macro from viewing (so I can protect my code) "Save Run Macro" does not see the macro.
2] When I save the part for the first time (ipt, iam or idw/dwg) the macro does not run. I always need to run the macro again.
I'm playing around with a part that I'd like to "decorate" with embossed features or perhaps even cut-outs. The actual part, before adornments, looks like a funnel. As sketched now, I'm revolving a spline and then creating a thickened solid feature. I suppose that the variable diameter and varying cross sectional radius of my part increases the level of complexity of this task over a part that looks more like a regular cylinder. I'm hoping to learn a tecnique that will work for revolved parts with highly irregular profiles - not just plain ole cylinders.
So, what I'd like to do is emboss (negative or positive) and/or thru-cut decorative geometric or vine/flower inspired patterns into the outside face of a funnel-like part. (Pic attached.) I'm picturing some sort of pattern that might repeat around the part. (The variable diameter probably really complicates matters here.) I haven't put much effort/experimentation into this yet - pretty much because I'm a loss about where to even start.
I'm trying to design a linear bearing that is composed of a billet of material to which six ball bearings are bolted. I was able to create a part representing the ball bearing from the manufacturer's dimensions. I then modeled a lock washer as a part, then an assembly consisting of a ball bearing and a lock washer. I then created an assembly from that assembly, with six of these ball bearing/lock washer assemblies in the desired orientations.
Now that I have the ball bearings oriented in space the way I need them, I need to model the billet to which they will all mount. I did things in this order because the ball bearings are metric, yet the rest of my design is in imperial units, and it just seemed easier to orient the bearings (which will interface with yet another assembly that I have yet to design) first.
I'd like to create my billet using the assembly as a reference. The assembly will tell me where I need holes in the billet to mount the bearings, where I need to cut out material for clearances, etc. I can't figure out how (or if) I can import my assembly into my part file, or what other tools are available to accomplish this task.
I'm attempting to model something similar to this. I've got the six bearings oriented in space, now I need to make the block to which they mount.
Before I run this on Autodesk Inventor 2012, any possible problems that I might have with the following VBA macro code?
Set Doc = ThisApplication.ActiveDocument
Call Doc.SaveAs("C:Test.pdf", True)
All I want to do is to create a PDF file, automatically, from a IDW file without going through a PDF Printer
Can we have a better way to create “text” in the Inventor part drawings?
I almost create “text” in every part drawing in different view. I have to create a sketch first, than create a text and dimension the text so I can lock the text in position, otherwise when you move the view and the text will stay in different location.
I had been used “Solid works” for long times. When I need to create a text, just click that view and create a text and the text will stay with that view, whatever you move that view and the text move together.
it's possible to create a derived part using only some of the features of the base components i.e. I've got a funny shaped part with a bunch of holes in it, and I need another part with exactly the same shape but totally different holes (location and size)I know you can do this with the different solids in the part (only use some of the solids) but I haven't been able to figure it out with features, if it's possible at all.
I could probably create one base part (just the shape) and derive both parts from that, but then I've got a part lying around doing jack.using IV 11.
I am trying to use Create Simplified part and during the creation process..I downloaded a model of a FD breaker off the Eaton Website in .stp format. I am simply trying to get a .ipt file of the model for my layout model.So the steps I did:
1- Open .stp file
2- Save .stp file as an .iam inventor file (ignore the prompt box "this is not a part file", that is from my logic rule for a part file)
3- once saved in inventor format, I click the simplify tab, select create simplified part, select a name and directory and press save
4- the .iam saves into a single part, BUT it is saved as sean.ipt, not the part number I assigned earlier and it is saved to the directory C:Users, not the directory I assigned in the dialogue box earlier.
Why does it do this every time I "dummy" down an assembly to a single .ipt file?
I want to ask if in Autodesk Inventor 2013, can we create a part with a different configuration?
example:I made a cube the size of 10mm x 10mm x 10mm, after which it would be revised measures 15mm x 15mm x 15mm. The second revision to change the size of a 12mm x 12mm x 12mm.
Can all the revision is done in one file?And if I want to revise again be 10mm x 10mm x 10mm, can?
Have I been that provides revision always create a new file and the file number so much that hard to figure out which revision. I am still learning Autodesk Inventor 2013.
I'm starting with a tube and want to add a weld build up around the OD on both ends. I mainly want to do this so that when I create a sectioned view on a drawing, you can see the difference in hatching between the original tube and the weld build up. I've had to create sketches on the drawing up to this point.
The photo I've attached shows the tube and shape of the weld build up. the green line is where I would like the tube OD to be, and the weld build up would be everything above that.
I'm using Inventor Pro 2013.
I need to create a hole table for a part. I would like the origin to be at the center of the part. Problem is there is not a round hole at that location. Attached is a similar part. The one that I am doing is much larger and has many more holes... this is just an example.
How can I pick this as the origin of my hole table?
I would like to link a cell value in excel with the partnumber from a assembly in Inventor. How can I made this link?
View 1 Replies View RelatedI would like to create string that would be tied to a rod and wrapped around an axle. Then when the rod is moved the string rotates the axle, but the string continues to grow as it is being pulled.
View 2 Replies View RelatedUsing Inventor 11 I wish to create some individual parts using Structural Shapes from the Content Center as the basis for my sketch profile and extrude to length before doing other machining.
Is it possible to do this from the Part environment directly and not use the frame generator?
I like to change the dimension of the length from 388mm to 400mm to represent another similar part with another part number. Yet I still need the old part.
What is the easiest way to do so? When I use 'save as" and then change the dimension, I need to recreate the dimensions in the dwg files. Is there a way to avoid creating the dimensions?
I want them to appear as a one of the choices in the box after you click NEW (part, drawing, assembly) asside of standard options?
View 1 Replies View RelatedI'm trying to create a simplied part of a conveyor. It's not too big yet, just over 7000 occurrences - see attached. Yesterday after about 5 hours I crashed Inventor (2014) and tried again. Eventually I let my PC run through the night and this morning it had completed the task. To save took almost 2 hours, producing an *.IPT of just over 830MB. When I restarted my machine (to free the RAM again) I could not open, getting a serious error.
The old shrinkwraps seemed to work way better. I need to create a "dummy" model which breaks all links to the originals assemblies so no one can tamper with it.
My specs:Inventor Professional 2014, 64 bit edition, I've got an HP Z400 desktop which is a 3.2GHz Processor with 4 cores, 12 GB RAM. NVIDIA Quadro 4000 graphics card.
I am trying to create a part that has a spherical feature. The spherical feature is "sliced" on the front and back to create a flat surface (see Compound Rest Handle Isometric image). Should I use workplanes to slice the sphere? What is an efficient process the slice the sphere. See Compound Rest Handle Front and Compound Rest Handle Back images and compare to the final result in the Compound Rest Handle Isometric image).
View 9 Replies View Related